from scapy.all import rdpcap

packets = rdpcap("./intro-forensics-2.pcapng")

filterd_packets = [packet for packet in packets if len(packet) == 87]

flag = b""

for packet in filterd_packets:
    flag += bytes.fromhex(hex(packet['TCP'].dport)[2:])

print(flag.decode())
